AbstractDOMStreamReader.ElementFrame (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.staxutils

## Class AbstractDOMStreamReader.ElementFrame<T,​I>

- java.lang.Object
- - org.apache.cxf.staxutils.AbstractDOMStreamReader.ElementFrame<T,​I>

- Enclosing class:
    AbstractDOMStreamReader<T,​I>

      public static class AbstractDOMStreamReader.ElementFrame<T,​I>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ElementFrame​(T doc)` |
    `ElementFrame​(T doc, boolean s)` |
    `ElementFrame​(T element, AbstractDOMStreamReader.ElementFrame<T,​I> parent)` |
    `ElementFrame​(T element, AbstractDOMStreamReader.ElementFrame<T,​I> parent, I ch)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `I` | `getCurrentChild()` |
    `T` | `getElement()` |
    `boolean` | `isDocument()` |
    `boolean` | `isDocumentFragment()` |
    `void` | `setCurrentChild​(I o)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementFrame

          public ElementFrame​(T element,
                              AbstractDOMStreamReader.ElementFrame<T,​I> parent)

    - #### ElementFrame

          public ElementFrame​(T element,
                              AbstractDOMStreamReader.ElementFrame<T,​I> parent,
                              I ch)

    - #### ElementFrame

          public ElementFrame​(T doc,
                              boolean s)

    - #### ElementFrame

          public ElementFrame​(T doc)

  - ### Method Detail

    - #### getElement

          public T getElement()

    - #### getCurrentChild

          public I getCurrentChild()

    - #### setCurrentChild

          public void setCurrentChild​(I o)

    - #### isDocument

          public boolean isDocument()

    - #### isDocumentFragment

          public boolean isDocumentFragment()